X2Go Bug report logs - #225
when uninstalling x2goclient from windows, the .x2go folder remains

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Αλέξανδρος Τασίκας <alextasikas@gmail.com>

Date: Thu, 30 May 2013 16:48:01 UTC

Severity: normal

Tags: wontfix

Merged with 224

Found in version 4.0.0.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#225; Package x2goclient. (Thu, 30 May 2013 16:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Αλέξανδρος Τασίκας <alextasikas@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 30 May 2013 16:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Αλέξανδρος Τασίκας <alextasikas@gmail.com>
To: submit@bugs.x2go.org
Subject: when uninstalling x2goclient from windows, the .x2go folder remains
Date: Thu, 30 May 2013 19:46:10 +0300
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.0.3

when uninstalling x2goclient, the .x2go folder which is in the user space
(in windows-XP C:\Docs&Sets\username\.x2go) is not deleted!!! I think the
uninstall process should delete folder also.
(maybe related with Bug#224)

-- 
Αλέξανδρος Τασίκας

* Όταν προωθείτε μηνύματα θυμηθείτε να χρησιμοποιείτε το Bcc (*Blind Carbon
Copy* ή *Ιδιαίτερη/Κρυφή Κοινοποίηση*) καθώς και να διαγράφετε τις
διευθύνσεις των προηγούμενων αποστολέων. Έτσι θα κρατήσετε τους spammers
έξω από το παιχνίδι.

* Όσο για το τι είναι αυτοί οι spammers... διαβάστε
spam<http://el.wikipedia.org/wiki/Spam>... και
στα αγγλικά <http://en.wikipedia.org/wiki/Spam_(electronic)>.

* When forwarding a message, please use Bcc (Blind Carbon Copy) and delete
email addresses of previous senders in order to protect ourselves from
spammers.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#225; Package x2goclient. (Thu, 30 May 2013 17:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 30 May 2013 17:48:01 GMT) Full text and rfc822 format available.

Message #10 received at 225@bugs.x2go.org (full text, mbox):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 225@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#225: when uninstalling x2goclient from windows, the .x2go folder remains
Date: Thu, 30 May 2013 19:23:51 +0200
Am 30.05.2013 18:46, schrieb Αλέξανδρος Τασίκας:
> Package: x2goclient
> Version: 4.0.0.3
>
> when uninstalling x2goclient, the .x2go folder which is in the user 
> space (in windows-XP C:\Docs&Sets\username\.x2go)is not deleted!!! I 
> think the uninstall process should delete folder also.
> (maybe related with Bug#224)
>

Deleting stuff from user directories is a bad idea and should not be 
done. Please think of multi-user setups on the same machine. A user 
might have an individual copy of x2goclient.exe somewhere (there's no 
requirement to install x2goclient, it can be run as a 
portable/stand-alone application) and you'd delete that user's settings 
with a system-wide purge of all "C:\Documents and Settings\*\.x2go" 
directories. This is not what you want.

Just my 0.02€,
Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#225; Package x2goclient. (Fri, 31 May 2013 08:22:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 31 May 2013 08:22:03 GMT) Full text and rfc822 format available.

Message #15 received at 225@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 225@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#225: when uninstalling x2goclient from windows, the .x2go folder remains
Date: Fri, 31 May 2013 10:21:29 +0200
[Message part 1 (text/plain, inline)]
tag #225 wontfix
close #225
thanks

Hi Stefann, Arnold, Αλέξανδρος,

On Do 30 Mai 2013 20:46:59 CEST Arnold Krille wrote:

> On Thu, 30 May 2013 19:23:51 +0200 Stefan Baur
> <newsgroups.mail2@stefanbaur.de> wrote:
>> Am 30.05.2013 18:46, schrieb Αλέξανδρος Τασίκας:
>> > Package: x2goclient
>> > Version: 4.0.0.3
>> >
>> > when uninstalling x2goclient, the .x2go folder which is in the user
>> > space (in windows-XP C:\Docs&Sets\username\.x2go)is not deleted!!!
>> > I think the uninstall process should delete folder also.
>> > (maybe related with Bug#224)
>> >
>>
>> Deleting stuff from user directories is a bad idea and should not be
>> done. Please think of multi-user setups on the same machine. A user
>> might have an individual copy of x2goclient.exe somewhere (there's no
>> requirement to install x2goclient, it can be run as a
>> portable/stand-alone application) and you'd delete that user's
>> settings with a system-wide purge of all "C:\Documents and
>> Settings\*\.x2go" directories. This is not what you want.
>
> Also think about multi-machine setups with central user directories
> and/or roaming profiles. Deleting x2go on one machine doesn't mean its
> gone on all machines the user-directory is accessed from.
>
> And deleting stuff from the users dirs is generally no good idea. Might
> be something is borked with the install, so the user deinstalls and
> reinstalls. That doesn't mean he want to loose all his settings and
> profiles for x2go...

Considering the two comments from Arnold and Stefan above, I will  
close this bug and tag it as ,,won't fix''.

Best,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 31 May 2013 08:22:04 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 31 May 2013 08:22:04 GMT) Full text and rfc822 format available.

Notification sent to Αλέξανδρος Τασίκας <alextasikas@gmail.com>:
Bug acknowledged by developer. (Fri, 31 May 2013 08:22:04 GMT) Full text and rfc822 format available.

Merged 224 225 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 31 May 2013 08:26:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 29 Jun 2013 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 15:06:48 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.